# Settings API Landing: https://developers.vsee.io/api/settings-api · Spec JSON: https://developers.vsee.io/specs/settings_api_openapi.json Base URL: https://api.vseepreview.com/api_v3 ## GET /settings URL: https://developers.vsee.io/api/settings-api/get/settings Auth: User Token — Requires a user access token from login or SSO. Get all settings Retrieve all settings available for the account. Public access endpoint. Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code Responses: - 200 — Successful response ```json { "data": { "visit": { "time": { "max_wait_time": 86400 } } } } ``` ## GET /settings/{setting_key} URL: https://developers.vsee.io/api/settings-api/get/settings/%7Bsetting_key%7D Auth: User Token — Requires a user access token from login or SSO. Get specific setting Retrieve a specific settings value by key. Public access endpoint. For nested settings, use the full path with forward slashes (e.g. `visit/time/max_wait_time`). Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - setting_key (path, string, required) — The settings key or path (e.g. `visit/time/max_wait_time`) Responses: - 200 — Successful response ```json { "data": 86400 } ```